Bug 201100 - IllegalStateException: Annotation not added: null
IllegalStateException: Annotation not added: null
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
7.0.1
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch2-verified...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 14:28 UTC by sjh
Modified: 2011-09-27 13:24 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (591 bytes, text/plain)
2011-08-18 14:28 UTC, sjh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sjh 2011-08-18 14:28:34 UTC
Build: NetBeans IDE 7.0.1 (Build 201107282000)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.1-b02-384, Java(TM) SE Runtime Environment, 1.6.0_26-b03-384-10M3425
OS: Mac OS X

User Comments:
sjh: Not sure exactly when the exception occurred, but I have been editing and compiling C++ code.

GUEST: closing files in the file editor window




Stacktrace: 
java.lang.IllegalStateException: Annotation not added: null
   at org.netbeans.modules.editor.NbEditorDocument.removeAnnotation(NbEditorDocument.java:252)
   at org.openide.text.NbDocument.removeAnnotation(NbDocument.java:519)
   at org.netbeans.modules.cnd.navigation.overrides.BaseAnnotation.detachImpl(BaseAnnotation.java:220)
   at org.netbeans.modules.cnd.navigation.overrides.AnnotationsHolder.run(AnnotationsHolder.java:160)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
   at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 1 sjh 2011-08-18 14:28:39 UTC
Created attachment 110088 [details]
stacktrace
Comment 2 Milutin Kristofic 2011-09-08 09:00:39 UTC
cnd team, please have a look at this one.
Comment 3 Alexander Simon 2011-09-08 10:05:07 UTC
Regression after fixing Bug #197680 IDE continues to burn cpu
fixed in change set:
http://hg.netbeans.org/cnd-main/rev/874445e219ab
Comment 4 Vladimir Voskresensky 2011-09-09 14:30:49 UTC
patch candidates are P2s
Comment 5 Quality Engineering 2011-09-09 15:02:56 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/874445e219ab
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201100 IllegalStateException: Annotation not added: null
Comment 6 Vladimir Voskresensky 2011-09-12 14:48:05 UTC
fix is safe and correct
Comment 7 Alexander Simon 2011-09-13 07:04:24 UTC
transplanted in releases_elif branch release701_fixes
874445e219ab transplanted to 55a9a5628f8f
Comment 8 Alexander Pepin 2011-09-21 11:18:59 UTC
can not reproduce in OSS IDE build 30
Comment 9 Quality Engineering 2011-09-26 13:28:44 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/55a9a5628f8f
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201100 IllegalStateException: Annotation not added: null
Comment 10 Alexander Pepin 2011-09-27 13:24:57 UTC
can not reproduce in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo